# $Revision: 1.20 $, $Date: 2011/01/17 17:16:19 $
%define		realname	libjpeg
Summary:	Library for handling different jpeg files - MinGW32 cross version
Summary(pl.UTF-8):	Biblioteka do manipulacji plikami w formacie jpeg - wersja skrośna dla MinGW32
Name:		crossmingw32-%{realname}
Version:	8c
Release:	1
License:	distributable
Group:		Development/Libraries
Source0:	http://www.ijg.org/files/jpegsrc.v%{version}.tar.gz
# Source0-md5:	a2c10c04f396a9ce72894beb18b4e1f9
Patch0:		%{realname}-maxmem-sysconf.patch
URL:		http://www.ijg.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	crossmingw32-gcc
BuildRequires:	libtool
Requires:	crossmingw32-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker
%define		filterout_ld	-Wl,-z,.*

%description
The libjpeg package contains a library of functions for manipulating
JPEG images.

This package contains the cross version for Win32.

%description -l pl.UTF-8
Ten pakiet zawiera bibliotekę funkcji do manipulacji plikami jpeg.

Ten pakiet zawiera wersję skrośną dla Win32.

%package static
Summary:	Static libjpeg library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka libjpeg (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static libjpeg library (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczna biblioteka libjpeg (wersja skrośna MinGW32).

%package dll
Summary:	libjpeg - DLL library for Windows
Summary(pl.UTF-8):	libjpeg - biblioteka DLL dla Windows
Group:		Applications/Emulators
Requires:	wine

%description dll
libjpeg - DLL library for Windows.

%description dll -l pl.UTF-8
libjpeg - biblioteka DLL dla Windows.

%prep
%setup -q -n jpeg-%{version}
%patch0 -p1

%build
%configure \
	--target=%{target} \
	--host=%{target} \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install jversion.h $RPM_BUILD_ROOT%{_includedir}

# remove HAVE_STD{DEF,LIB}_H
# (not necessary but may generate warnings confusing autoconf)
sed -i -e 's#.*HAVE_STD..._H.*##g' $RPM_BUILD_ROOT%{_includedir}/jconfig.h

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README change.log
%{_libdir}/libjpeg.dll.a
%{_libdir}/libjpeg.la
%{_includedir}/jconfig.h
%{_includedir}/jerror.h
%{_includedir}/jmorecfg.h
%{_includedir}/jpeglib.h
%{_includedir}/jversion.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libjpeg.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libjpeg-*.dll

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-libjpeg.spec,v $
Revision 1.20  2011/01/17 17:16:19  qboosh
- updated to 8c

Revision 1.19  2010/09/19 05:38:57  qboosh
- unified MinGW32 caps

Revision 1.18  2010/05/24 20:27:38  qboosh
- updated to 8b

Revision 1.17  2010/03/21 07:56:41  qboosh
- updated to 8a (merged from libjpeg.spec)

Revision 1.16  2008/07/27 22:22:37  arekm
- release 6

Revision 1.15  2008-01-27 20:17:57  qboosh
- updated shared patch, replaced one pseudo-libtool hack with another using real libtool

Revision 1.14  2008-01-14 19:28:19  qboosh
- force %{_lib}-independent libdir

Revision 1.13  2007/03/07 07:31:55  qboosh
- copy-pasto

Revision 1.12  2007/03/07 00:09:13  qboosh
- use _dlldir, no strip if debug

Revision 1.11  2007/03/07 00:04:07  qboosh
- cleanup, separated -static

Revision 1.10  2007/02/25 15:04:36  czarny
- shared + static build
- custom made .la file

Revision 1.9  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.7  2006/05/28 13:13:53  wolf
- rel 5

Revision 1.6  2004/10/09 11:04:07  wolf
- rel++
- R: crossmingw32-runtime

Revision 1.5  2004/09/16 11:51:06  wolf
- rel 3 to rebuild with gcc 3.4.2

Revision 1.4  2004/02/21 18:43:50  wolf
- fix alpha, sparc

Revision 1.3  2003/12/25 02:34:49  wolf
- shared lib

Revision 1.2  2003/12/25 01:29:11  wolf
- summary

Revision 1.1  2003/12/23 19:40:11  wolf
- new
